Page MenuHomePhabricator

All article external links fail on Wikipedia Zero networks
Closed, ResolvedPublic

Description

A partner testing yesterday observed that clicking on an external link does not trigger any action. This should bring up the exit interstitial, but no activity occurs. I tested on an iPhone 6s running iOS 9.2.1 (current) with the standard safari browser. I also removed the override for the exit interstitial "Continue and do not warn again" button with the associated URL, and this had no effect on the problem. I also verified this occurs both on m-dot and zero-dot subdomains.

Event Timeline

DFoy created this task.Mar 9 2016, 7:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2016, 7:56 PM
dr0ptp4kt triaged this task as Unbreak Now! priority.Mar 9 2016, 8:46 PM
dr0ptp4kt added subscribers: Yurik, Jdlrobson, jhobs.

Something must have changed in MobileFrontend, but I don't remember seeing anything around this. Here's the error, I'll look into fixing it.

TypeError: ContentOverlay.extend is not a function TypeError: ContentOverlay.extend is not a function

Change 276375 had a related patch set uploaded (by Jhobs):
Fix broken external links

https://gerrit.wikimedia.org/r/276375

Change 276375 merged by jenkins-bot:
Fix broken external links

https://gerrit.wikimedia.org/r/276375

Change 276386 had a related patch set uploaded (by Catrope):
Fix broken external links

https://gerrit.wikimedia.org/r/276386

Change 276387 had a related patch set uploaded (by Catrope):
Fix broken external links

https://gerrit.wikimedia.org/r/276387

Change 276386 merged by jenkins-bot:
Fix broken external links

https://gerrit.wikimedia.org/r/276386

Change 276387 merged by jenkins-bot:
Fix broken external links

https://gerrit.wikimedia.org/r/276387

I've confirmed this as fixed on enwiki, but please confirm as well @DFoy so we can signoff.

Jdlrobson closed this task as Resolved.Mar 10 2016, 7:13 PM
Jdlrobson removed a project: Patch-For-Review.
DFoy added a comment.Mar 11 2016, 6:36 PM

@jhobs @Jdlrobson @dr0ptp4kt
I've tested and confirmed the fix. Thanks everyone for the quick response!

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 7 2018, 1:04 AM